$jq(document).ready(function($){
	//MegaMenuMonitor
	$.mmm = {
		//user set values
		arrowOffset: 9, //offset to centre arrow
		shadeDuration: 250, //duration of panel windowshade effect
		fadeDuration: 100, //duration of content fade effect
		outDelay: 0, //delay after user mouseout
		//end user set values
		
		requestQueue: new Array(),
		requestIndex: -1,
		requestActive: false,
		animationActive: false,
		queCheckActive: false,
		lastActive: null,
		lastActiveAnchor: null,
		menuHover: false,
		add: function(component, delay) {
			var l = $.mmm.requestQueue.length;
			if (l == 0 || component.component != $.mmm.requestQueue[l - 1].component) {
				$.mmm.requestQueue.push(component);
				if (!$.mmm.requestActive) setTimeout("$jq.mmm.checkQueue()", delay);
			}
		},
		checkQueue: function() {
			if (!$.mmm.queCheckActive) {
				$.mmm.queCheckActive = true;
				var ix = -1;
				var time = (new Date()).getTime();
				for (i=$.mmm.requestQueue.length-1;i>$.mmm.requestIndex;i--) {
					if ($.mmm.requestQueue[i].component != null) {
						if ($.mmm.lastActive == null || $.mmm.requestQueue[i].component.get(0) != $.mmm.lastActive.get(0)) {
							ix = i;
						}
						break;
					} else {
						if ($.mmm.lastActive != null && time - $.mmm.requestQueue[i].stamp >= $.mmm.outDelay) {
							ix = i;
						} else if ($.mmm.lastActive != null) {
							setTimeout("$jq.mmm.checkQueue()", $.mmm.outDelay/4);
						}
					}
				}
				if (ix > -1) {
					$.mmm.requestIndex = ix;
					$.mmm.handleRequest();
				}
				$.mmm.queCheckActive = false;
			}
		},
		handleRequest: function() {
			if (!$.mmm.requestActive) {
				$.mmm.requestActive = true;
				var request = $.mmm.requestQueue[$.mmm.requestIndex].component;
				if (request != null || !$.mmm.menuHover) {
					$.mmm.lastActive = request;
					var finish = function() {
							if ($.mmm.lastActiveAnchor != null) $.mmm.lastActiveAnchor.removeClass("active");
							$.mmm.lastActiveAnchor = $.mmm.requestQueue[$.mmm.requestIndex].anchor;
							$.mmm.requestActive = false;
							$.mmm.animationActive = false;
							setTimeout("$jq.mmm.checkQueue()", 0);
						};
					var handleShow = function() {
							$.mmm.doAnimationFunction(request, {opacity: 1}, $.mmm.fadeDuration, "show", "-", finish);
						}
					var handlePreShow = function() {
							if (request != null) {
								$.mmm.doAnimationFunction(request, {opacity: 0, "margin-left": 0}, 0, "preshow", "show", handleShow);
							} else finish();
						}
					var handlePostHide = function() {
							var menus = $(".mm_menu");
							var toHide = null;
							for (i=0;i<menus.length;i++) {
								if ((request == null || menus.get(i) != request.get(0)) && $(menus.get(i)).css("margin-left") == "0px") {
									toHide = $(menus.get(i));
									break;
								}
							}
							if (toHide != null) {
								$.mmm.doAnimationFunction(toHide, {"margin-left": "-2000px"}, 0, "hide", "-", handlePreShow);
							} else {
								handlePreShow()
							}
						}
					var handleHide = function() {
							var menus = $(".mm_menu");
							var toHide = null;
							for (i=0;i<menus.length;i++) {
								if ((request == null || menus.get(i) != request.get(0)) && $(menus.get(i)).css("margin-left") == "0px") {
									toHide = $(menus.get(i));
									break;
								}
							}
							if (toHide != null) {
								$.mmm.doAnimationFunction(toHide, {opacity: 0}, $.mmm.fadeDuration, "fade", "-", handlePostHide);
							} else {
								handlePostHide()
							}
						}
					var handleTray = function() {
							var ele = $("#mm_mask");
							if (ele.css("top") < -ele.height()) ele.css({top: -ele.height()});
							if (request != null) {
								$("#mm_container").css({height: "auto"});
								var tarHeight = Math.round($("#mm_container").height()/5)*5-1;
								$.mmm.doAnimationFunction(ele, {height: tarHeight}, $.mmm.shadeDuration, "show", "-", handleHide);
								$("#mm_container").css({height: tarHeight});
							} else {
								$.mmm.doAnimationFunction(ele, {height: 0}, $.mmm.shadeDuration, "hide", "-", handleHide);
							}
						}
					var handleArrow = function() {
							$.mmm.animationActive = true;
							if (request != null) {
								if ($.mmm.lastActiveAnchor != null) $.mmm.lastActiveAnchor.removeClass("active");
								if ($.mmm.requestQueue[$.mmm.requestIndex].anchor != null) $.mmm.requestQueue[$.mmm.requestIndex].anchor.addClass("active");
								var ele = $(".mm_a");
								var arrowX = $("#"+request.attr("id").substring(3)).parent().position().left + $.mmm.arrowOffset - ele.width() / 2 + $("#"+request.attr("id").substring(3)).width() / 2;
								ele.animate({left: arrowX}, $.mmm.fadeDuration);
							}
							handleTray();
						}
					handleArrow();
				} else $.mmm.requestActive = false;
			}
		},
		doAnimationFunction: function(ele, animation, duration, action, blocker, callback) {
			if (!(ele.attr("mm_status") == action || ele.attr("mm_status") == blocker)) {
				ele.attr("mm_status", action);
				ele.animate(animation, {duration: duration, queue: true, complete: function() {
						callback();
					}
				});
			} else callback();
		},
		checkOver: function(target, posx, posy) {
			var overMenu = posx >= target.offset().left;
			overMenu = overMenu && posy >= target.offset().top;
			overMenu = overMenu && posx < target.offset().left + target.innerWidth();
			overMenu = overMenu && posy < target.offset().top + target.innerHeight();
			return overMenu;
		}
	};
	/*
	//hover related
	$(".mm_target a").hoverIntent({
		over: function(){
			id = $(this).attr('id');
			if ($("#mm_"+id).length > 0) {
				$.mmm.add({component: $("#mm_"+id), stamp: (new Date()).getTime(), anchor: $(this)}, 0);
				eval($(this).attr('MM_once'));
				$(this).attr('MM_once', "");
			}
		},
		timeout: 0,
		out: function(){}
	});
	$("#mm_content").bind("mouseover", function(){
			$.mmm.menuHover = true;
			$.mmm.add({component: $.mmm.lastActive, stamp: (new Date()).getTime()}, 0);
		});
	$("body").bind("mousemove", function(e){
			if ($.mmm.lastActiveAnchor != null) {
				var posx = 0;
				var posy = 0;
				if (!e) var e = window.event;
				if (e.pageX || e.pageY) {
					posx = e.pageX;
					posy = e.pageY;
				}
				else if (e.clientX || e.clientY) {
					posx = e.clientX + document.body.scrollLeft + document.documentElement.scrollLeft;
					posy = e.clientY + document.body.scrollTop + document.documentElement.scrollTop;
				}
				
				var overMenu = $.mmm.checkOver($("#mm_content"), posx, posy);
				if (!overMenu && $.mmm.lastActiveAnchor != null) overMenu = $.mmm.checkOver($.mmm.lastActiveAnchor, posx, posy);
				
				if (!overMenu) {
					$.mmm.menuHover = false;
					$.mmm.add({component: null, stamp: (new Date()).getTime()}, $.mmm.outDelay);
				}
			}
		});
	*/
	$(".mm_target a").bind("click", function(e){
			id = $(this).attr('id');
			if ($("#mm_"+id).length > 0) {
				if ($.mmm.lastActiveAnchor == null || $.mmm.lastActiveAnchor.get(0) != $(this).get(0)) {
					$.mmm.add({component: $("#mm_"+id), stamp: (new Date()).getTime(), anchor: $(this)}, 0);
					try {
						eval($(this).attr('MM_once'));
					} catch (e) {}
					$(this).attr('MM_once', "");
				} else {
					$.mmm.menuHover = false;
					$.mmm.add({component: null, stamp: (new Date()).getTime()}, $.mmm.outDelay);
				}
			}
			return false;
		});
	$("html").bind("click", function(e){
			if ($.mmm.lastActiveAnchor != null) {
				var posx = 0;
				var posy = 0;
				if (!e) var e = window.event;
				if (e.pageX || e.pageY) {
					posx = e.pageX;
					posy = e.pageY;
				}
				else if (e.clientX || e.clientY) {
					posx = e.clientX + document.body.scrollLeft + document.documentElement.scrollLeft;
					posy = e.clientY + document.body.scrollTop + document.documentElement.scrollTop;
				}
				
				var overMenu = $.mmm.checkOver($("#mm_content"), posx, posy);
				if (!overMenu && $.mmm.lastActiveAnchor != null) overMenu = $.mmm.checkOver($.mmm.lastActiveAnchor, posx, posy);
				
				if (!overMenu) {
					$.mmm.menuHover = false;
					$.mmm.add({component: null, stamp: (new Date()).getTime()}, $.mmm.outDelay);
				}
			}
		});
	$(".mm_menu").css({opacity: 0, "margin-left": "-2000px"});
});
