(function($){
var pluginName = "ColumnWidthFix";
var defaultSettings = {
rowSelector: 'tr:not(.cT-tableHeader, .cT-disclaimerRow)',
noWrapClass: 'cT-noWrap',
noExtraPixelsClass: 'cT-noExtraPixels',
numberColClass: 'cT-numberColumn',
linkColClass: 'cT-linkColumn',
linkColWidth: '200px'
};
var methods = {
init : function(collection, options) {
return $(collection).each(function(){
var $table = $(this),
data = $(this).data(pluginName);
if (!data) {
$(this).data(pluginName, {
settings: $.extend(
{totalTableWidth: $table.parents('div').first().width()},
defaultSettings,
options
)
});
data = $table.data(pluginName);
}
else {
$.extend(data.settings, options);
}
var widthPixelCount = 0;
var totalExtraPixels = 0;
var wrapPixels = 0;
var wrapColCount = 0;
var finalWidths = [];
$.each($table.find(data.settings.rowSelector).first().find("td"), function(index) {
if($(this).hasClass(data.settings.numberColClass))
{
$table.find('thead tr th:eq('+index+')').addClass(data.settings.numberColClass);
}
if($(this).hasClass(data.settings.linkColClass))
{
$table.find('thead tr th:eq('+index+')').addClass(data.settings.linkColClass);
}
if($(this).hasClass(data.settings.noWrapClass))
{
if($(this).hasClass(data.settings.linkColClass)) $(this).css('width', data.settings.linkColWidth);
finalWidths[index] = 0;
$.each($table.find(data.settings.rowSelector).find('td:eq('+index+')').children(), function(){
if($(this).width() > finalWidths[index]) finalWidths[index] = $(this).width();
});
widthPixelCount += finalWidths[index]+
parseInt($(this).css('padding-left').split('px')[0])+
parseInt($(this).css('padding-right').split('px')[0]);
}
});
wrapPixels = data.settings.totalTableWidth-widthPixelCount;
wrapColCount = $table.find(data.settings.rowSelector).first().find("td").not('.cT-noWrap').length;
$.each($table.find(data.settings.rowSelector).first().find("td"), function(index) {
if(!$(this).hasClass(data.settings.noWrapClass))
{
var columnPadding = parseInt($(this).css('padding-left').split('px')[0])+
parseInt($(this).css('padding-right').split('px')[0]);
finalWidths[index] = 0;
$.each($table.find(data.settings.rowSelector).find('td:eq('+index+')').children(), function(){
if($(this).width() > finalWidths[index]) finalWidths[index] = $(this).width();
$(this).html($(this).html().replace('-', '-&#8203;'));
});
totalExtraPixels += (wrapPixels/wrapColCount)-columnPadding - finalWidths[index];
}
});
var pixelsPerColumn = totalExtraPixels / ($table.find(data.settings.rowSelector).first().find("td").length-1);
if(pixelsPerColumn > 0 && pixelsPerColumn % 1 != 0)
{
pixelsPerColumn = parseInt(pixelsPerColumn);
finalWidths[1]++;
}
$.each($table.find(data.settings.rowSelector).first().find("td"), function(index) {
var pixels;
if(totalExtraPixels >= 0 && !$(this).hasClass(data.settings.noExtraPixelsClass))
{
pixels = finalWidths[index]+pixelsPerColumn;
}
else if($(this).hasClass(data.settings.noWrapClass))
{
pixels = finalWidths[index];
}
else if(!$(this).hasClass(data.settings.noWrapClass))
{
wrapColCount--;
var pixelsRaw = finalWidths[index]-((-totalExtraPixels)*(finalWidths[index]/(wrapPixels-totalExtraPixels)));
pixels = parseInt(pixelsRaw);
if(wrapColCount == 0 && pixelsRaw % 1 != 0)
{
pixels--;
}
$.each($table.find(data.settings.rowSelector).find('td:eq('+index+')').children(), function(){
var count = 1;
var originalHTML = $(this).html();
while($(this).width() > pixels && count < 50)
{
count++;
$(this).html($.trim(originalHTML));
var text = $.trim($(this).text());
var newWidth = (text.length/count % 1 != 0) ? parseInt(text.length/count)+1 : text.length/count;
var newText = '';
for(var x=0;x<count;x++)
{
var end = ((x+1)*newWidth>text.length) ? text.length : (x+1)*newWidth;
newText += text.substring((x*newWidth),end);
if(x+1 < count) newText+='{0}';
}
$(this).text(newText);
var newHtml = $(this).text().replace(/\{0\}/g, '&#8203;');
$(this).html(newHtml);
}
});
}
$table.find('thead tr th:eq('+index+')').width(pixels);
$(this).width(pixels);
});
});
}
};
$.fn[pluginName] = function(options) {
return methods.init(this, options);
};
})(jQuery);
var pntoverlay = (function(window, jQuery, parent) {
var scheduledTransactionInfo = null;
var recentTransactionInfo = null;
var creditCardAccountsInfo = null;
var accountsData = null;
var selectedAccountID = null;
var accountsAjax = null;
var scheduledTransactionsAjax = null;
var recentTransactionsAjax = null;
var noOfAccountSelections = null;
var selectedAccountType = null;
var overlayIDs = {
widgetID: '#jfpOverlay',
wrapperClass: '.cS-overlayPnT',
prevButtonID: '#previousAccountButtonPnT',
nextButtonID: '#nextAccountButtonPnT',
headerTemplateID: '#pntOverlayHeaderTemplate',
selectID: '#accounts_pnt_txnlst',
tabWidgetID: '#pntOverlayTabs',
overlaySpinnerID: '#pntOverlaySpinner',
contentSpinnerID: '#pntOverlayAccountSpinner',
tabs: [
{
wrapperID: '#pntTab1',
linkID: '#pntTab1Link',
templateIDs: {
content: '#pntScheduledRowTemplate',
disclaimer: '#disclaimerRowTemplate'
},
widgetIDs: {
slider: '#pntScheduledOverlaySlider'
},
contentIDs: {
table: '#pntScheduledPaymentsOverlayTable',
form: null
}
},
{
wrapperID: '#pntTab2',
linkID: '#pntTab2Link',
templateIDs: {
content: '#pntRecentRowTemplate',
disclaimer: '#disclaimerRowTemplate'
},
widgetIDs: {
slider: '#pntRecentOverlaySlider'
},
contentIDs: {
table: '#pntRecentPaymentsOverlayTable',
form: null
}
}
]
};
parent.initialize = function () {
jQuery(overlayIDs.wrapperClass).css("visibility","visible");
jQuery(overlayIDs.overlaySpinnerID).jfpwidget('block', '.ui-dialog.jfpw-dialog');
resetPnTOverlay(true);
retrieveAccountList();
if(initTabClick) {
jQuery(overlayIDs.tabs[0].linkID).click(function(){
entryType = 2;
jQuery(overlayIDs.contentSpinnerID).jfpwidget('block', overlayIDs.tabWidgetID);
retrieveScheduledTransactionData();
pageName = pageNameScheduledTab;
jsonOptionsCommon[SC_CONTEXT_ID_SELF_SERV] = page_visit;
jsonOptionsCommon[SC_CONTEXT_ID_SELF_SERV_DETAIL] = schTabPageVisit;
});
jQuery(overlayIDs.tabs[1].linkID).click(function(){
entryType = 3;
jQuery(overlayIDs.contentSpinnerID).jfpwidget('block', overlayIDs.tabWidgetID);
retrieveRecentTransactionData();
pageName = pageNameRecentTab;
jsonOptionsCommon[SC_CONTEXT_ID_SELF_SERV] = page_visit;
jsonOptionsCommon[SC_CONTEXT_ID_SELF_SERV_DETAIL] = recTabPageVisit;
});
jsonOptionsCommon[SC_CONTEXT_ID_SELF_SERV] = noof_account_selections;
jsonOptionsCommon[SC_CONTEXT_ID_SELF_SERV_DETAIL] = String(accountDetail);
initTabClick = false;
}
};
parent.renderPnTOverlay = function(accountID) {
jQuery(overlayIDs.contentSpinnerID).jfpwidget('block', overlayIDs.tabWidgetID);
resetPnTOverlay(true);
selectedAccountID = accountID;
setupHeader();
selectedAccountType = jQuery(overlayIDs.selectID+' option[value="'+jQuery(overlayIDs.selectID).jfpwidget('value')+'"]').attr('account-type');
if(selectedAccountType === 'credit')
{
jQuery(overlayIDs.tabWidgetID).jfpwidget('setProperty', 'selected', 0);
jQuery(overlayIDs.tabWidgetID+' .ui-tabs-nav').hide();
jQuery(overlayIDs.tabs[0].contentIDs.table).hide();
jQuery('#pntAllCreditCardAccountsWrapper').show();
setupFooter();
setOverlayContentHeight();
retrieveCreditCardData();
parent.writeSiteCatalyst(jsonOptionsCommon);
}
else
{
setupFooter();
setOverlayContentHeight();
if(jQuery(overlayIDs.tabWidgetID).jfpwidget('getProperty', 'selected') == 0)
{
retrieveScheduledTransactionData();
}
else
{
retrieveRecentTransactionData();
}
}
};
parent.writeMISLogOnExternalEvent = function (){
jQuery.ajax({
url: contextPath + '/REST/CBOL/pnt/txnlst/TxnLstResource/writeMISLogOnExternalEvent.jws',
type: 'post',
data: '',
async:true,
dataType:'json',
contentType:'application/json',
success: function(data){
},
error:function(){
}
});
};
parent.getSiteCatalystMap = function (json){
jQuery.ajax({
url: contextPath + '/REST/CBOL/pnt/txnlst/TxnLstResource/getSiteCatalystMap.jws',
type: 'post',
data: '',
async:true,
dataType:'json',
contentType:'application/json',
success: function(data){
if(null != data){
accountDetail = data.NoOfAccountSelections;
}
},
error:function(){
}
});
};
parent.writeMISLogOnCreditCardAccountSelection = function (){
jQuery.ajax({
url: contextPath + '/REST/CBOL/pnt/txnlst/TxnLstResource/writeMISLogOnCreditCardAccountSelection.jws',
type: 'post',
data: '',
async:true,
dataType:'json',
contentType:'application/json',
success: function(data){
},
error:function(){
}
});
};
parent.prevAccount = function(){
++accountDetail;
jsonOptionsCommon[SC_CONTEXT_ID_SELF_SERV] = click_link;
jsonOptionsCommon[SC_CONTEXT_ID_SELF_SERV_DETAIL] = prevNavClickLink;
entryType = 1;
jQuery(overlayIDs.selectID).jfpwidget('setProperty', 'index', jQuery(overlayIDs.selectID).jfpwidget('getProperty', 'index')-1);
parent.renderPnTOverlay(jQuery(overlayIDs.selectID).jfpwidget('widget').value());
};
parent.nextAccount = function(){
++accountDetail;
jsonOptionsCommon[SC_CONTEXT_ID_SELF_SERV] = click_link;
jsonOptionsCommon[SC_CONTEXT_ID_SELF_SERV_DETAIL] = nextNavClickLink;
entryType = 1;
jQuery(overlayIDs.selectID).jfpwidget('setProperty', 'index', jQuery(overlayIDs.selectID).jfpwidget('getProperty', 'index')+1);
parent.renderPnTOverlay(jQuery(overlayIDs.selectID).jfpwidget('widget').value());
};
parent.viewScheduledTransaction = function(transactionID){
};
parent.viewAllPayments = function(){
};
parent.viewAllTransfers = function(){
};
parent.viewPaymentsAndTransfers = function(){
};
parent.viewRecentPayments = function(){
};
parent.viewRecentTransfers = function(){
};
function retrieveAccountList(){
jQuery(overlayIDs.selectID).html('');
accountsData = {
creditDisclaimerFooter: null,
dropdownSupported: true,
sourceAccountList: accData
};
populateAccountsDropdown();
setupTabs();
parent.renderPnTOverlay(selectedAccountID);
}
function populateAccountsDropdown(){
var itemContent;
jQuery(overlayIDs.selectID).html("");
for(var x=0; x<accountsData.sourceAccountList.length;x++)
{
itemContent = accountsData.sourceAccountList[x].accountIdentifierText;
if(displayAccountsResolverBalance){
if(accountsData.sourceAccountList[x].accountResolverVO && accountsData.sourceAccountList[x].accountResolverVO.length > 0) {
itemContent += '{0}' +
accountsData.sourceAccountList[x].accountResolverVO[0].resolverBalanceText1 + ': ' +
accountsData.sourceAccountList[x].accountResolverVO[0].resolverBalance1 +
'{0}' + accountsData.sourceAccountList[x].accountResolverVO[0].negativeHandler1 +
'{0}' + accountsData.sourceAccountList[x].accountResolverVO[0].isPositive;
}
}
jQuery(overlayIDs.selectID).append('<option account-type="'+ accountsData.sourceAccountList[x].accountType +'" value="' + accountsData.sourceAccountList[x].instanceID + '">'
+ itemContent + '</option>');
}
jQuery(overlayIDs.selectID).jfpwidget("refresh");
if (accountsData.sourceAccountList.length > 0)
{
selectedAccountID = accountsData.sourceAccountList[0].instanceID;
if(accountsData.sourceAccountList.length == 1 || accountsData.dropdownSupported == false)
{
jQuery(overlayIDs.selectID).next().hide();
jQuery(overlayIDs.selectID).nextAll('span').html(accountsData.sourceAccountList[0].accountIdentifierText).attr('tabindex', '0').show();
}
else
{
jQuery(overlayIDs.selectID).next().show();
jQuery(overlayIDs.selectID).nextAll('span').html('').attr('tabindex', '-1').hide();
}
}
else
{
}
jQuery(overlayIDs.overlaySpinnerID).jfpwidget('unblock');
}
function setupHeader(){
jQuery(overlayIDs.selectID).jfpwidget('setProperty', 'index', getAccountIndexByID(selectedAccountID));
showLinks();
jQuery(overlayIDs.headerTemplateID).tmpl(accountsData.sourceAccountList[getAccountIndexByID(selectedAccountID)]).appendTo('#pntOverlay1');
jQuery(overlayIDs.selectID+'-button').find('.ui-selectmenu-status').html(jQuery(overlayIDs.selectID+'-button').find('.ui-selectmenu-status span').first()[0].outerHTML);
var valueWidths = [];
jQuery.each(jQuery('#pntBalanceDetails').find('.cF-value > span'), function(){
valueWidths.push(jQuery(this).width());
});
var labelValueContainer = 240;
var maxValueWidth = Math.max.apply(Math, valueWidths);
var totalMargins = 11;
var labelWidth = labelValueContainer-maxValueWidth-totalMargins;
jQuery('#pntBalanceDetails').width(labelValueContainer);
jQuery('#pntBalanceDetails div.cF-element label').width(labelWidth);
jQuery.each(jQuery('#pntBalanceDetails div.cF-element.cF-elementText'), function() {
if(jQuery(this).find('.cF-value .cF-secondCurrency').length==0)
{
if(jQuery(this).find('label').height()>20)
{
jQuery(this).find('.cF-value > span').css('marginTop', '17px');
}
}
});
}
function setupFooter(){
if(selectedAccountType!='credit')
{
if(bankFooterDisclosureEnabled){
jQuery('#bankAcctFooterDisclosure').show();
jQuery('#creditCardAcctFooterDisclosure').hide();
}else{
jQuery('#bankAcctFooterDisclosure').hide();
jQuery('#creditCardAcctFooterDisclosure').hide();
}
jQuery(overlayIDs.wrapperClass+' .cS-disclaimerFooterLinks').show();
}
else if(selectedAccountType==='credit')
{
if(creditCardFooterDisclosureEnabled){
jQuery('#creditCardAcctFooterDisclosure').show();
jQuery('#bankAcctFooterDisclosure').hide();
}else{
jQuery('#creditCardAcctFooterDisclosure').hide();
jQuery('#bankAcctFooterDisclosure').hide();
}
jQuery(overlayIDs.wrapperClass+' .cS-disclaimerFooterLinks').hide();
}
}
function setupTabs(){
if(scheduledTab)
{
jQuery(overlayIDs.tabWidgetID+' .cS-tab1').show();
jQuery(overlayIDs.tabs[0].wrapperID).show();
jQuery(overlayIDs.tabWidgetID).jfpwidget('setProperty', 'selected', 0);
}
else
{
jQuery(overlayIDs.tabWidgetID+' .cS-tab1').hide();
jQuery(overlayIDs.tabs[0].wrapperID).hide();
jQuery(overlayIDs.tabWidgetID).jfpwidget('setProperty', 'selected', 1);
}
if(recentTab)
{
jQuery(overlayIDs.tabWidgetID+' .cS-tab2').show();
jQuery(overlayIDs.tabs[1].wrapperID).show();
}
else
{
jQuery(overlayIDs.tabWidgetID+' .cS-tab2').hide();
jQuery(overlayIDs.tabs[1].wrapperID).hide();
}
}
function retrieveCreditCardData(){
creditCardAccountsInfo = creditCardAccountsList;
populateCreditCardAccountsTable();
}
function populateCreditCardAccountsTable()
{
setOverlayContentHeight();
if(creditCardAccountsInfo != null)
{
if(creditCardAccountsInfo.length > 0)
{
jQuery('#pntAllCreditCardsRowTemplate').tmpl(creditCardAccountsInfo).appendTo('#pntAllCreditCardAccountsTable>table>tbody');
jQuery('#pntAllCreditCardAccountsTable table').ColumnWidthFix();
}
else
{
jQuery('#pntAllCreditCardAccountsTable .cA-pntCardsTableInstructions').hide();
jQuery('#pntAllCreditCardAccountsTable > table').addClass('cT-alertMessageTable');
jQuery('#pntAllCreditCardAccountsTable').removeClass('cT-dottedRowBorders');
jQuery(overlayIDs.tabs[0].templateIDs.disclaimer).tmpl([{col1: 'noCreditCardsRows', numCols: 2}]).appendTo('#pntAllCreditCardAccountsTable>table>tbody');
}
}
else{
jQuery('#pntAllCreditCardAccountsTable .cA-pntCardsTableInstructions').hide();
jQuery('#pntAllCreditCardAccountsTable > table').addClass('cT-alertMessageTable');
jQuery('#pntAllCreditCardAccountsTable').removeClass('cT-dottedRowBorders');
jQuery(overlayIDs.tabs[0].templateIDs.disclaimer).tmpl([{col1: 'notAvailable', numCols: 2}]).appendTo('#pntAllCreditCardAccountsTable>table>tbody');
}
setOverlayContentHeight();
jQuery('#pntCreditOverlaySlider').jfpwidget('show');
jQuery('#pntCreditOverlaySlider').jfpwidget('refresh');
jQuery('.sCCreditCardCustomClass a').click(function() {
var jsonOptions = {};
jsonOptions[SC_CONTEXT_ID_SELF_SERV] = click_link;
jsonOptions[SC_CONTEXT_ID_SELF_SERV_DETAIL] = creditCardLink;
parent.writeSiteCatalyst(jsonOptions);
});
jQuery(overlayIDs.contentSpinnerID).jfpwidget('unblock');
}
function retrieveScheduledTransactionData(){
resetPnTOverlay(false);
if(scheduledTransactionsAjax)
{
scheduledTransactionsAjax.abort();
}
var sentData;
if (entryType == 1) {
sentData = '{"sourceAccountInstanceIDs": "' + selectedAccountID + '", "transactionStatusType": "scheduled", "entryPoint": "accountDropDown"}';
} else if(entryType == 2) {
sentData = '{"sourceAccountInstanceIDs": "' + selectedAccountID + '", "transactionStatusType": "scheduled", "entryPoint": "scheduledTab"}';
} else if(entryType == 3) {
sentData = '{"sourceAccountInstanceIDs": "' + selectedAccountID + '", "transactionStatusType": "scheduled", "entryPoint": "recentTab"}';
} else {
sentData = '{"sourceAccountInstanceIDs": "' + selectedAccountID + '", "transactionStatusType": "scheduled", "entryPoint": "initial"}';
}
scheduledTransactionsAjax = jQuery.ajax({
url: contextPath + '/REST/CBOL/pnt/txnlst/TxnLstResource/getPaymentTransferList.jws',
type: 'post',
data: sentData,
async:true,
dataType:'json',
contentType:'application/json',
success: function(data){
if(data != null) {
scheduledInfo = data.paymentTransferList;
scheduledTransactionInfo = {
columnNames: arrTab1,
showLegalDisclosure: false,
paymentTransferList: scheduledInfo
};
populateScheduledTransactionsTab();
scheduledTransactionsAjax = null;
}
},
error:function(jqXHR){
scheduledTransactionInfo = null;
if(jqXHR.status != 0) {
populateScheduledTransactionsTab();
}
scheduledTransactionsAjax = null;
}
});
}
function populateScheduledTransactionsTab(){
setOverlayContentHeight();
if(scheduledTransactionInfo != null &&
scheduledTransactionInfo.paymentTransferList != null &&
scheduledTransactionInfo.columnNames != null)
{
var columnCount = scheduledTransactionInfo.columnNames.length;
if(scheduledTransactionInfo.paymentTransferList.length > 0)
{
setTableTransactionsColumns(overlayIDs.tabs[0].contentIDs.table, scheduledTransactionInfo.columnNames);
jQuery(overlayIDs.tabs[0].templateIDs.content).tmpl(scheduledTransactionInfo.paymentTransferList, {columnCount: columnCount}).appendTo(overlayIDs.tabs[0].contentIDs.table+'>div>table>tbody');
jQuery(overlayIDs.tabs[0].contentIDs.table+ ' table').ColumnWidthFix();
if(scheduledTransactionInfo.showLegalDisclosure)
jQuery(overlayIDs.tabs[0].templateIDs.disclaimer).tmpl([{col1: 'disclaimer', numCols: columnCount}]).appendTo(overlayIDs.tabs[0].contentIDs.table+'>div>table>tbody');
parent.writeSiteCatalyst(jsonOptionsCommon);
}
else
{
jQuery(overlayIDs.tabs[0].contentIDs.table+' .cT-tableHeader').hide();
jQuery(overlayIDs.tabs[0].contentIDs.table+'  > div.cT-innerTableDiv > table').addClass('cT-alertMessageTable');
jQuery(overlayIDs.tabs[0].contentIDs.table).removeClass('cT-dottedRowBorders');
jQuery(overlayIDs.tabs[0].templateIDs.disclaimer).tmpl([{col1: 'noScheduledRows', numCols: columnCount}]).appendTo(overlayIDs.tabs[0].contentIDs.table+'>div>table>tbody');
jsonOptionsCommon[SC_CONTEXT_ID_PAGE_ERROR_DETAIL] = noScheduledRowsError;
parent.writeSiteCatalyst(jsonOptionsCommon);
}
}
else{
jQuery(overlayIDs.tabs[0].contentIDs.table+' .cT-tableHeader').hide();
jQuery(overlayIDs.tabs[0].contentIDs.table+'  > div.cT-innerTableDiv > table').addClass('cT-alertMessageTable');
jQuery(overlayIDs.tabs[0].contentIDs.table).removeClass('cT-dottedRowBorders');
if(accountsData.sourceAccountList.length > 1) {
jQuery(overlayIDs.tabs[0].templateIDs.disclaimer).tmpl([{col1: 'notScheduledAvailable', numCols: 6}]).appendTo(overlayIDs.tabs[0].contentIDs.table+'>div>table>tbody');
jsonOptionsCommon[SC_CONTEXT_ID_PAGE_ERROR_DETAIL] = notScheduledAvailableError;
parent.writeSiteCatalyst(jsonOptionsCommon);
} else {
jQuery(overlayIDs.tabs[0].templateIDs.disclaimer).tmpl([{col1: 'notScheduledAvailableSingle', numCols: 6}]).appendTo(overlayIDs.tabs[0].contentIDs.table+'>div>table>tbody');
jsonOptionsCommon[SC_CONTEXT_ID_PAGE_ERROR_DETAIL] = notScheduledAvailableSingleError;
parent.writeSiteCatalyst(jsonOptionsCommon);
}
}
alternateRowColor();
setOverlayContentHeight();
jQuery(overlayIDs.tabs[0].widgetIDs.slider).jfpwidget('show');
jQuery(overlayIDs.tabs[0].widgetIDs.slider).jfpwidget('refresh');
jQuery('.siteCatalystCustomClass a').click(function() {
var jsonOptions = {};
jsonOptions[SC_CONTEXT_ID_SELF_SERV] = click_link;
jsonOptions[SC_CONTEXT_ID_SELF_SERV_DETAIL] = transactionLink;
parent.writeSiteCatalyst(jsonOptions);
});
jQuery(overlayIDs.contentSpinnerID).jfpwidget('unblock');
}
function retrieveRecentTransactionData(){
resetPnTOverlay(false);
if(recentTransactionsAjax)
{
recentTransactionsAjax.abort();
}
var sentData;
if (entryType == 1) {
sentData = '{"sourceAccountInstanceIDs": "' + selectedAccountID + '", "transactionStatusType": "recent", "entryPoint": "accountDropDown"}';
} else if(entryType == 2) {
sentData = '{"sourceAccountInstanceIDs": "' + selectedAccountID + '", "transactionStatusType": "recent", "entryPoint": "scheduledTab"}';
} else if(entryType == 3) {
sentData = '{"sourceAccountInstanceIDs": "' + selectedAccountID + '", "transactionStatusType": "recent", "entryPoint": "recentTab"}';
} else {
sentData = '{"sourceAccountInstanceIDs": "' + selectedAccountID + '", "transactionStatusType": "recent", "entryPoint": "initial"}';
}
recentTransactionsAjax = jQuery.ajax({
url: contextPath + '/REST/CBOL/pnt/txnlst/TxnLstResource/getPaymentTransferList.jws',
type: 'post',
data: sentData,
async:true,
dataType:'json',
contentType:'application/json',
success: function(data){
if(data != null) {
recentInfo = data.paymentTransferList;
recentTransactionInfo = {
columnNames: arrTab2,
showLegalDisclosure: true,
dateLimit: '06-15-2012',
paymentTransferList: recentInfo
};
populateRecentTransactionsTab();
recentTransactionsAjax = null;
}
},
error:function(jqXHR){
recentTransactionInfo = null;
if(jqXHR.status != 0) {
populateRecentTransactionsTab();
}
recentTransactionsAjax = null;
}
});
}
function populateRecentTransactionsTab(){
var jsonOptions = {};
setOverlayContentHeight();
if(recentTransactionInfo != null &&
recentTransactionInfo.paymentTransferList != null &&
recentTransactionInfo.columnNames != null)
{
var columnCount = recentTransactionInfo.columnNames.length;
if(recentTransactionInfo.paymentTransferList.length > 0)
{
for(var x=0; x<recentTransactionInfo.paymentTransferList.length; x++)
{
if(recentTransactionInfo.paymentTransferList[x].transactionClearedDate)
{
recentTransactionInfo.paymentTransferList[x].status = recentTransactionInfo.paymentTransferList[x].status.split('{0}');
}
}
setTableTransactionsColumns(overlayIDs.tabs[1].contentIDs.table, recentTransactionInfo.columnNames);
jQuery(overlayIDs.tabs[1].templateIDs.content).tmpl(recentTransactionInfo.paymentTransferList, {columnCount: columnCount}).appendTo(overlayIDs.tabs[1].contentIDs.table+'>div>table>tbody');
jQuery(overlayIDs.tabs[1].contentIDs.table+ ' table').ColumnWidthFix();
if(recentTabDisclosure)
jQuery(overlayIDs.tabs[1].templateIDs.disclaimer).tmpl([{col1: 'disclaimer', numCols: columnCount}]).appendTo(overlayIDs.tabs[1].contentIDs.table+'>div>table>tbody');
parent.writeSiteCatalyst(jsonOptionsCommon);
}
else
{
jQuery(overlayIDs.tabs[1].contentIDs.table+' .cT-tableHeader').hide();
jQuery(overlayIDs.tabs[1].contentIDs.table+' > div.cT-innerTableDiv > table').addClass('cT-alertMessageTable');
jQuery(overlayIDs.tabs[1].templateIDs.disclaimer).tmpl([{col1: 'noRecentRows', numCols: columnCount, date: recentTransactionInfo.dateLimit}]).appendTo(overlayIDs.tabs[1].contentIDs.table+'>div>table>tbody');
jsonOptionsCommon[SC_CONTEXT_ID_PAGE_ERROR_DETAIL] = noRecentRowsError;
parent.writeSiteCatalyst(jsonOptionsCommon);
}
}
else{
jQuery(overlayIDs.tabs[1].contentIDs.table+' .cT-tableHeader').hide();
jQuery(overlayIDs.tabs[1].contentIDs.table+'  > div.cT-innerTableDiv > table').addClass('cT-alertMessageTable');
if(accountsData.sourceAccountList.length > 1) {
jQuery(overlayIDs.tabs[1].templateIDs.disclaimer).tmpl([{col1: 'notRecentAvailable', numCols: 6}]).appendTo(overlayIDs.tabs[1].contentIDs.table+'>div>table>tbody');
jsonOptionsCommon[SC_CONTEXT_ID_PAGE_ERROR_DETAIL] = notRecentAvailableError;
parent.writeSiteCatalyst(jsonOptionsCommon);
} else {
jQuery(overlayIDs.tabs[1].templateIDs.disclaimer).tmpl([{col1: 'notRecentAvailableSingle', numCols: 6}]).appendTo(overlayIDs.tabs[1].contentIDs.table+'>div>table>tbody');
jsonOptionsCommon[SC_CONTEXT_ID_PAGE_ERROR_DETAIL] = notRecentAvailableSingleError;
parent.writeSiteCatalyst(jsonOptionsCommon);
}
}
alternateRowColor();
setOverlayContentHeight();
jQuery(overlayIDs.tabs[1].widgetIDs.slider).jfpwidget('show');
jQuery(overlayIDs.tabs[1].widgetIDs.slider).jfpwidget('refresh');
jQuery(overlayIDs.contentSpinnerID).jfpwidget('unblock');
}
function setTableTransactionsColumns(table, columnNames){
for(var x=0; x<columnNames.length; x++)
{
var lastColumn = '';
if(x+1 == columnNames.length)
{
lastColumn = 'cT-lastColumnHeader';
}
jQuery(table+' .cT-tableHeader').append(
'<th class="cT-headerColumn'+(x+1)+' '+lastColumn+'" id="'+columnNames[x]+'Head"><span>'+columnNames[x]+'</span></th>'
);
}
}
function alternateRowColor(){
jQuery('.cT-alternateRowColor table > tbody').each(function(){
jQuery(this).find('tr').each(function(index){
if(index % 2 != 0)
{
jQuery(this).addClass('cT-odd');
}
});
});
}
function setOverlayContentHeight() {
var overlayHeaderHeight = jQuery(overlayIDs.wrapperClass+' .cH-overlayHeader').height();
var tableHeaderHeight = jQuery(overlayIDs.tabs[jQuery(overlayIDs.tabWidgetID).jfpwidget('getProperty', 'selected')].contentIDs.table+' .cT-tableHeader').height()+3;
var tabHeight = (jQuery(overlayIDs.tabWidgetID+' .ui-tabs-nav').is(':visible')) ? 27 : 0;
jQuery(overlayIDs.tabs[jQuery(overlayIDs.tabWidgetID).jfpwidget('getProperty', 'selected')].contentIDs.table).css('padding-top', tableHeaderHeight);
var EXTRA_PADDING = (jQuery('HTML').hasClass('vIE7')) ? 46 : 36;
var overlayDisclaimerFootHeight = EXTRA_PADDING + jQuery('.cS-overlayDisclaimerFooter').height();
jQuery(overlayIDs.wrapperClass+' .cS-overlayContent .cT-innerTableDiv').height(357 - tabHeight - overlayHeaderHeight - tableHeaderHeight - overlayDisclaimerFootHeight);
jQuery(overlayIDs.wrapperClass+' .cS-overlayContent .cS-overlayTab').height(358 - tabHeight - overlayHeaderHeight - overlayDisclaimerFootHeight);
jQuery(overlayIDs.wrapperClass+' .cS-overlayContent').height(359 - overlayHeaderHeight - overlayDisclaimerFootHeight);
var cardsTablePadding = 0;
var tablePaddingTop = jQuery(overlayIDs.wrapperClass+' #pntAllCreditCardAccountsTable').css('padding-top');
var tablePaddingBottom = jQuery(overlayIDs.wrapperClass+' #pntAllCreditCardAccountsTable').css('padding-bottom');
if (tablePaddingTop && tablePaddingBottom) {
cardsTablePadding = parseInt(tablePaddingTop.replace('px', '')) + parseInt(tablePaddingBottom.replace('px', ''));
}
jQuery(overlayIDs.wrapperClass+' #pntAllCreditCardAccountsTable').height(358 - overlayHeaderHeight - cardsTablePadding - overlayDisclaimerFootHeight);
jQuery(overlayIDs.tabWidgetID).jfpwidget('refresh');
jQuery(overlayIDs.tabs[0].widgetIDs.slider).jfpwidget('refresh');
jQuery(overlayIDs.tabs[1].widgetIDs.slider).jfpwidget('refresh');
}
function showLinks() {
var numOfAccounts = jQuery(overlayIDs.selectID+' option').length;
if(numOfAccounts != 1){
jQuery(overlayIDs.wrapperClass+' .cH-overlayRightHeader .cN-prevNextButton .cM-spriteBase.cN-buttonCarat').show();
jQuery(overlayIDs.wrapperClass+' .cH-overlayRightHeader .cN-prevNextButton '+overlayIDs.prevButtonID).show();
jQuery(overlayIDs.wrapperClass+' .cH-overlayRightHeader .cN-prevNextButton .cM-spriteBase.cN-leftButtonCarat').show();
jQuery(overlayIDs.wrapperClass+' .cH-overlayRightHeader .cN-prevNextButton '+overlayIDs.nextButtonID).show();
jQuery(overlayIDs.wrapperClass+' .cH-overlayRightHeader .cN-prevNextButton .cN-buttonSeparator').show();
if(jQuery(overlayIDs.selectID).jfpwidget('getProperty', 'index')==(numOfAccounts-1)) {
jQuery(overlayIDs.wrapperClass+' .cH-overlayRightHeader .cN-prevNextButton .cM-spriteBase.cN-buttonCarat').hide();
jQuery(overlayIDs.wrapperClass+' .cH-overlayRightHeader .cN-prevNextButton '+overlayIDs.nextButtonID).hide();
jQuery(overlayIDs.wrapperClass+' .cH-overlayRightHeader .cN-prevNextButton .cN-buttonSeparator').hide();
} else if(jQuery(overlayIDs.selectID).jfpwidget('getProperty', 'index')==0) {
jQuery(overlayIDs.wrapperClass+' .cH-overlayRightHeader .cN-prevNextButton .cM-spriteBase.cN-leftButtonCarat').hide();
jQuery(overlayIDs.wrapperClass+' .cH-overlayRightHeader .cN-prevNextButton '+overlayIDs.prevButtonID).hide();
jQuery(overlayIDs.wrapperClass+' .cH-overlayRightHeader .cN-prevNextButton .cN-buttonSeparator').hide();
}
}else{
jQuery(overlayIDs.wrapperClass+' .cH-overlayRightHeader .cN-prevNextButton .cM-spriteBase.cN-buttonCarat').hide();
jQuery(overlayIDs.wrapperClass+' .cH-overlayRightHeader .cN-prevNextButton '+overlayIDs.prevButtonID).hide();
jQuery(overlayIDs.wrapperClass+' .cH-overlayRightHeader .cN-prevNextButton .cM-spriteBase.cN-leftButtonCarat').hide();
jQuery(overlayIDs.wrapperClass+' .cH-overlayRightHeader .cN-prevNextButton '+overlayIDs.nextButtonID).hide();
jQuery(overlayIDs.wrapperClass+' .cH-overlayRightHeader .cN-prevNextButton .cN-buttonSeparator').hide();
}
}
function resetPnTOverlay(header){
if(header)
{
jQuery('#pntBalanceDetails').remove();
}
jQuery(overlayIDs.tabWidgetID+' .ui-tabs-nav').show();
jQuery(overlayIDs.wrapperClass+' .cT-tableHeader').show();
jQuery(overlayIDs.tabs[0].contentIDs.table+'>div>table>tbody').html('');
jQuery(overlayIDs.tabs[1].contentIDs.table+'>div>table>tbody').html('');
jQuery('#pntAllCreditCardAccountsTable>table>tbody').html('');
jQuery(overlayIDs.tabs[0].contentIDs.table).addClass('cT-dottedRowBorders');
jQuery('#pntAllCreditCardAccountsTable').addClass('cT-dottedRowBorders');
jQuery(overlayIDs.wrapperClass+' .cT-innerTableDiv > table').removeClass();
jQuery(overlayIDs.wrapperClass+' .cT-tableHeader').html('');
jQuery(overlayIDs.wrapperClass+' .cS-disclaimerFooterText').show();
jQuery(overlayIDs.wrapperClass+' .cS-disclaimerFooterLinks').show();
jQuery(overlayIDs.tabs[0].contentIDs.table).show();
jQuery('#pntAllCreditCardAccountsWrapper').hide();
jQuery('#pntAllCreditCardAccountsTable .cA-pntCardsTableInstructions').show();
jQuery(overlayIDs.tabs[0].widgetIDs.slider).jfpwidget('refresh');
jQuery(overlayIDs.tabs[1].widgetIDs.slider).jfpwidget('refresh');
setOverlayContentHeight();
}
function getAccountIndexByID(accountID){
var index = -1;
for(var x=0; x<accountsData.sourceAccountList.length; x++)
{
if(accountsData.sourceAccountList[x].instanceID == accountID)
{
index = x;
break;
}
}
return index;
}
parent.writeSiteCatalyst = function (items) {
s.contextData = [];
s.pageName = pageName;
s.contextData[SC_CONTEXT_ID_SELF_SERV_TYPE] = self_serv_type;
for(var index in items) {
s.contextData[index] = items[index];
}
s.contextData[SC_CONTEXT_ID_ACCOUNT_DETAIL] = String(accountDetail);
if (!(typeof s === 'undefined')) {
s.t();
}
delete jsonOptionsCommon[SC_CONTEXT_ID_PAGE_ERROR_DETAIL];
}
parent.openPaymentsOverlay = function (){
var timestamp = (new Date).getTime();
jQuery('#jfpOverlay').html("");
jQuery("#jfpOverlay").jfpwidget().setProperty("width","552");
jQuery("#jfpOverlay").jfpwidget().setProperty("height","422");
jQuery('#jfpOverlay').jfpwidget("open");
jQuery('#jfpOverlay').load(contextPath + '/CBOL/pnt/txnlst/flow.action?jfp.layout=Overlay&timestamp=' + timestamp);
jQuery('#ui-dialog-title-jfpOverlay').html('');
}
return parent;
}(window, window.jQuery, window.pntoverlay || {} ));
